Intereting Posts
Образец символа «L» в SimpleDateFormat Как изменить новый цвет и высоту индикатора TabLayout Java.lang.IllegalArgumentException: pointerIndex вне диапазона Исключение – dispatchTouchEvent Как записать вызов в Android? Является ли это возможным? Что означает MEDIA_ERROR_SERVER_DIED? Ящик навигации и просмотр пейджера в той же активности Можно указать положение тоста? Сделать Android-телефон позиционирующим как устройство ввода Bluetooth (мышь или клавиатура) Bitmap возвращает null из BitmapFactory.decodeFile (имя файла) Является ли Android requestLayout () правильным для анимации макета? Как вернуть результат посредством нескольких действий Отмена анимации с помощью AnimatorSet Android – Регистрация широковещательного приемника для двух целей? Java.net.URLEncoder.encode кодирует пространство как +, но мне нужно% 20 Не может получить доступ к памяти по адресу 0X1 после настройки gdb и eclipse для отладки общей библиотеки из приложения Android

Ошибка сборки Gradle не может решить io.fabric

Я использую Android 2.0. Я получил эту ошибку, когда пытался создать apk, раньше ее работали, но теперь это не так. :

Could not resolve all dependencies for configuration ':app:classpath'. Could not resolve io.fabric.tools:gradle:1.+. Required by: MYAPP:app:unspecified Could not resolve io.fabric.tools:gradle:1.+. Failed to list versions for io.fabric.tools:gradle. Unable to load Maven meta-data from https://maven.fabric.io/public/io/fabric/tools/gradle/maven-metadata.xml6. Could not GET 'https://maven.fabric.io/public/io/fabric/tools/gradle/maven-metadata.xml'. maven.fabric.io: unknown error 

Это мой build.gradle:

 buildscript { repositories { jcenter() mavenCentral() maven { url 'https://maven.fabric.io/public' } } dependencies { classpath 'io.fabric.tools:gradle:1.+' classpath 'com.android.tools.build:gradle:2.1.0' } } allprojects { repositories { maven { url 'https://maven.fabric.io/public' } maven { url "http://dl.bintray.com/populov/maven" } jcenter() mavenCentral() maven { url "http://oss.sonatype.org/content/repositories/snapshots" } } 

Solutions Collecting From Web of "Ошибка сборки Gradle не может решить io.fabric"

Для меня это просто File-> Invalidate Cache / Restart, так что сделайте Invalidate и Restart.

Я только что обновил crashlytics: 2.5.5@aar до crashlytics: 2.6.4@aar . Это работает со мной.

 dependencies { compile('com.crashlytics.sdk.android:crashlytics:2.6.4@aar') { transitive = true; } } 

Проверьте последний код: https://fabric.io/kits/android/crashlytics/install

У меня была такая же проблема, моя проблема в том, что я не в сети. Я понял, глядя на сообщение об ошибке:

 Could not GET 'https://maven.fabric.io/public/io/fabric/tools/gradle/maven-metadata.xml'. maven.fabric.io: unknown error 

Поэтому, отправляясь в Интернет, убираю, строю, бегаю … работал на меня.

У меня была такая же проблема – она ​​просто перестала работать. Проблема разрешилась сама по себе после входа в мою учетную запись по адресу http://fabric.io/ .

Я переустановил плагин с диска (когда я попытался использовать репо, это не сработало. Возможно, это связано с aws, как @davis). Теперь он работает.

Для меня была запись хоста для данного URL-адреса в файле хоста, поэтому URL-адрес не был доступен. Удалил запись хоста и начал работать.

Я сделал Invalidated кэш для студии android, и он работал нормально.

Я просто перезапускаю Android Studio. Теперь это работает.